Subject: [Tsvwg] Null UDP Packets (0-length)?

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 29 Mar 2007 12:14:00 +0100

In the DCCP WG there is a thread concerning what it means to 
send/receive a DCCP-Data packet with no data payload (0 length).

Someone noted that UDP supports the same mechanis (i.e. an application 
can send/receive 0-byte UDP Packets via the sockets API). Can someone 
tell me:

* What existing protocols use zero-byte UDP packets?
* What semantics do they associate with zero-byte UDP packets?

Gorry